org.apache.ignite.internal.processors.cache.persistence.tree.reuse

## Interface ReuseList

All Known Implementing Classes:
  FreeListImpl, ReuseListImpl

    public interface ReuseList

Reuse list.

### Method Summary

Methods
`void` `addForRecycle(ReuseBag bag)`
`long` `recycledPagesCount()`
`long` `takeRecycledPage()`

### Method Detail

#### addForRecycle

    void addForRecycle(ReuseBag bag)
                       throws IgniteCheckedException

Parameters:
  `bag` - Reuse bag.
Throws:
  `IgniteCheckedException` - If failed.

#### takeRecycledPage

    long takeRecycledPage()
                          throws IgniteCheckedException

Returns:
  Page ID or `0` if none available.
Throws:
  `IgniteCheckedException` - If failed.

#### recycledPagesCount

    long recycledPagesCount()
                            throws IgniteCheckedException

Returns:
  Number of recycled pages it contains.
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017